homepage/urls.py
from django.urls import path
from django.conf.urls import url
from .views import *

app_name = 'homepage'

urlpatterns = [
    url(r"^deleteurl/(?P<delete_id>\d+)/$",delete, name='delete'),
    path('', baru, name='baru'),
    path('extra/', extra, name='extra'),
    path('schedule/',schedule, name='schedule'),
    path('schedule/create', schedule_create, name='schedule_create'),
    path('schedule/delete', schedule_delete, name='schedule_delete'),


    # dilanjutkan ...
]

story/urls.py
from django.urls import path, include
from django.contrib import admin

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('homepage.urls')),
]

homepage/models.py
from django.db import models
from datetime import datetime

# Create your models here.
class Schedule(models.Model):

    activity = models.CharField(max_length=30)
    date = models.DateTimeField(default=datetime.now)
    time = models.TimeField()
    place = models.CharField(max_length=20)
    category = models.CharField(max_length=20)

    def __str__(self):
        return "{}. {}".format(self.id, self.activity)

homepage/forms.py
from django import forms
from .models import Schedule


class ScheduleForm(forms.ModelForm):
    class Meta:
        model = Schedule
        fields = ['activity', 'date', 'time', 'place', 'category']
        widgets = {
            'activity':forms.TextInput(attrs={'placeholder':'Masukkan nama kegiatan'}),
            'place':forms.TextInput(attrs={'placeholder':'Masukkan nama tempat'}),
            'category':forms.TextInput(attrs={'placeholder':'Masukkan nama kategori'}),
            'date': forms.DateInput(attrs={'type': 'date'}),
            'time': forms.TimeInput(attrs={'type': 'time'})}

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        for field in self.Meta.fields:
            self.fields[field].widget.attrs.update({
                'class': 'form-control'
            })

homepage/views.py
from django.shortcuts import render, redirect
from .models import Schedule
from . import forms


# Create your views here.
def baru(request):
    return render(request, 'baru.html')

def extra(request):
    return render(request, 'extra.html')

def schedule(request):
    schedules = Schedule.objects.all().order_by('date')
    return render(request, 'schedule.html', {'schedules': schedules})

def schedule_create(request):
    if request.method == 'POST':
        form = forms.ScheduleForm(request.POST)
        if form.is_valid():
            form.save()
            return redirect('homepage:schedule')

    else:
        form = forms.ScheduleForm()
    return render(request, 'schedule_create.html', {'form': form})

def schedule_delete(request):
	Schedule.objects.all().delete()
	return render(request, "schedule.html")

def delete(request, delete_id):
	Schedule.objects.filter(id=delete_id).delete()
	return redirect('homepage:schedule')

    
# diteruskan...

# Create your views here.

homepage/templates/baru.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
  <!-- Theme Made By www.w3schools.com - No Copyright -->
  <title>My Website</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel = 'stylesheet'; href = "{% static 'css/webaru.css' %}">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/css/bootstrap.min.css">
  <link href="https://fonts.googleapis.com/css?family=Montserrat" rel="stylesheet">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/js/bootstrap.min.js"></script>
</head>
<body>
       

       

<!-- Navbar -->
<nav class="navbar navbar-default">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#myNavbar">
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>                        
      </button>
      <a class="navbar-brand" href="#">Me</a>
    </div>
    <div class="collapse navbar-collapse" id="myNavbar">
      <ul class="nav navbar-nav navbar-right">
            <li><a href="#about">ABOUT ME</a></li>
        <li><a href="#edu">EDUCATION</a></li>
        <li><a href="#skills">SKILLS</a></li>
        <li><a href="#int">INTERESTS</a></li>
        <li><a href="#schedule">SCHEDULE</a></li>
      </ul>
    </div>
  </div>
</nav>

<!-- First Container -->
<div class="container-fluid bg-1 text-center" id ="top" >
  <h3 class="margin">Who Am I?</h3>
  <img src="{% static 'images/betterpicofme.jpg' %}" class="imag" >
  <div class = "fontutama">
  <h3 >
      Hi I'm Raihan and welcome to my website! </h3>
        <h3>I am a college student at The University of Indonesia </h3> 
        <h3>who spends most of his time trying to get better at coding and design.</h3>
        
    </div>
</div>

<!-- Second Container -->
<div class="container-fluid bg-2 text-center a" id="about">
        <h3 class="margin 1">ABOUT ME</h3>
        <div class = "fontstuff">
        <p>I am very hardworking.</p>
             <p>I excel in team environments.</p>
             <p>Always looking too improve my skills.</p>
             <p>Very curious and willing to learn.</p>
             <a href = "#top">BACK TO THE TOP</a>
            </div>
        
          
      </div>
<div class="container-fluid bg-2 text-center b" id ="edu">
            <h3 class="margin 2">EDUCATION</h3>
            <div class = "fontstuff">
            <p>SMAN 1 BALIKPAPAN
                    High School Diploma
                    
                <p>University Of Indonesia
                    Computer Science Major</p>
                    <a href = "#top">BACK TO THE TOP</a>
                </div>
            
                  
                  </div>
<div class="container-fluid bg-2 text-center c" id ="skills">
  <h3 class="margin 3">SKILLS</h3>
  <div class = "fontstuff">
  <p>Proficient in Python and Java</p>
          <p>Fluent in 3 different languages (French, English, Indonesian).</p>
          <p>Excellent at socializing and working together with others.</p>
          <a href = "#top">BACK TO THE TOP</a>
        </div>
  
</div>

<div class="container-fluid bg-2 text-center d" id = "int">
        <h3 class="margin 4">INTERESTS</h3>
        <div class = "fontstuff">
        <p>Film and cinema</p>
          <p>Video Games</p>
          <p>Literature</p>
          <p>Anything involving technology</p>
          <p>Discovering new things</p>
          <a href = "#top">BACK TO THE TOP</a>
        
        </div>
    </div>
  
  <div class="container-fluid bg-2 text-center e" id ="schedule">
    <h3 class="margin 5">SCHEDULE</h3>
    <div class="row">
      <table class="table tag">
          <thead>
          <tr>
              <th scope="col">#</th>
              <th scope="col">Tanggal</th>
              <th scope="col">Jam</th>
              <th scope="col">Nama Kegiatan</th>
              <th scope="col">Tempat</th>
              <th scope="col">Kategori</th>
              <th scope="col">Hapus</th>
          </tr>
          </thead>
          <tbody>
              {% for schedule in schedules %}
                  <tr>
                      <th scope="row">{{forloop.counter}}</th>
                      <td>{{schedule.date.date}}</td>
                      <td>{{schedule.time}}</td>
                      <td>{{schedule.activity}}</td>
                      <td>{{schedule.place}}</td>
                      <td>{{schedule.category}}</td>
                      <td><a class="btn btn-danger" href="{% url 'homepage:delete' schedule.id %}" >Delete</a></td>
                  </tr>
              {% endfor %}
          </tbody>
      </table>

      
  </div>
  <div class="row">
    <div class= 'col-lg-2'>

    </div>
    <div class = 'col-lg-10'>
        <div class = 'form-group'>
            <a href="{% url 'homepage:schedule_delete' %}"><button type="button" class= "btn btn-secondary btn-lg btn-sm">Clear</button></a>
            <a href="{% url 'homepage:schedule_create' %}"><button type="button" class= "btn btn-secondary btn-lg btn-sm">Create</button></a>
        </div>
    </div>
</div>



<!-- Third Container (Grid) -->
<div class="container-fluid bg-3 text-center">    
  <h3 class="margin">Where To Find Me?</h3><br>
  <div class="row">
    <div class="col-sm-3">
         <a href="https://twitter.com/raihanarmon"><img class = 'tweet'src="https://img.icons8.com/ios-filled/150/000000/twitter-circled.png" 
            width="85" height="85" title="White flower"  alt="Flower"></a>

     
    </div>
    <div class="col-sm-3"> 
            <a href="https://facebook.com/raihan.armon"><img class = 'tweet'src="https://img.icons8.com/ios-filled/150/000000/facebook-new.png" 
                width="85" height="85" title="White flower"  alt="Flower"></a>

                   
    </div>
    <div class="col-sm-3"> 
            <a href="https://www.linkedin.com/in/muhammad-raihan-armon-a6686b193/"><img class = 'tweet'src="https://img.icons8.com/ios-filled/150/000000/linkedin.png" 
                width="85" height="85" title="White flower"  alt="Flower"></a>
            
    </div>
    <div class="col-sm-3">
            <a href="https://www.instagram.com/raihan_armon42/tagged/"><img class = 'tweet'src="https://img.icons8.com/material/96/000000/instagram-new.png"
                width="85" height="85" title="White flower"  alt="Flower"></a>

        </div>

  </div>
</div>



</body>
</html>

homepage/templates/schedule.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
  <!-- Theme Made By www.w3schools.com - No Copyright -->
  <title>My Website</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel = 'stylesheet'; href = "{% static 'css/webaru.css' %}">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/css/bootstrap.min.css">
  <link href="https://fonts.googleapis.com/css?family=Montserrat" rel="stylesheet">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/js/bootstrap.min.js"></script>
</head>
<body>
       

       

<!-- Navbar -->
<nav class="navbar navbar-default">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#myNavbar">
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>                        
      </button>
      <a class="navbar-brand" href="#">Me</a>
    </div>
    <div class="collapse navbar-collapse" id="myNavbar">
      <ul class="nav navbar-nav navbar-right">
            <li><a href="#about">ABOUT ME</a></li>
        <li><a href="#edu">EDUCATION</a></li>
        <li><a href="#skills">SKILLS</a></li>
        <li><a href="#int">INTERESTS</a></li>
        <li><a href="#schedule">SCHEDULE</a></li>
      </ul>
    </div>
  </div>
</nav>

<!-- First Container -->
<div class="container-fluid bg-1 text-center" id ="top" >
  <h3 class="margin">Who Am I?</h3>
  <img src="{% static 'images/betterpicofme.jpg' %}" class="imag" >
  <div class = "fontutama">
  <h3 >
      Hi I'm Raihan and welcome to my website! </h3>
        <h3>I am a college student at The University of Indonesia </h3> 
        <h3>who spends most of his time trying to get better at coding and design.</h3>
        
    </div>
</div>

<!-- Second Container -->
<div class="container-fluid bg-2 text-center a" id="about">
        <h3 class="margin 1">ABOUT ME</h3>
        <div class = "fontstuff">
        <p>I am very hardworking.</p>
             <p>I excel in team environments.</p>
             <p>Always looking too improve my skills.</p>
             <p>Very curious and willing to learn.</p>
             <a href = "#top">BACK TO THE TOP</a>
            </div>
        
          
      </div>
<div class="container-fluid bg-2 text-center b" id ="edu">
            <h3 class="margin 2">EDUCATION</h3>
            <div class = "fontstuff">
            <p>SMAN 1 BALIKPAPAN
                    High School Diploma
                    
                <p>University Of Indonesia
                    Computer Science Major</p>
                    <a href = "#top">BACK TO THE TOP</a>
                </div>
            
                  
                  </div>
<div class="container-fluid bg-2 text-center c" id ="skills">
  <h3 class="margin 3">SKILLS</h3>
  <div class = "fontstuff">
  <p>Proficient in Python and Java</p>
          <p>Fluent in 3 different languages (French, English, Indonesian).</p>
          <p>Excellent at socializing and working together with others.</p>
          <a href = "#top">BACK TO THE TOP</a>
        </div>
  
</div>

<div class="container-fluid bg-2 text-center d" id = "int">
        <h3 class="margin 4">INTERESTS</h3>
        <div class = "fontstuff">
        <p>Film and cinema</p>
          <p>Video Games</p>
          <p>Literature</p>
          <p>Anything involving technology</p>
          <p>Discovering new things</p>
          <a href = "#top">BACK TO THE TOP</a>
        
        </div>
    </div>
  
  <div class="container-fluid bg-2 text-center e" id ="schedule">
    <h3 class="margin 5">SCHEDULE</h3>
    <div class="row">
      <table class="table tag">
          <thead>
          <tr>
              <th scope="col">#</th>
              <th scope="col">Tanggal</th>
              <th scope="col">Jam</th>
              <th scope="col">Nama Kegiatan</th>
              <th scope="col">Tempat</th>
              <th scope="col">Kategori</th>
              <th scope="col">Hapus</th>
          </tr>
          </thead>
          <tbody>
              {% for schedule in schedules %}
                  <tr>
                      <th scope="row">{{forloop.counter}}</th>
                      <td>{{ schedule.date.date }}</td>
                      <td>{{ schedule.time}}</td>
                      <td>{{ schedule.activity }}</td>
                      <td>{{ schedule.place }}</td>
                      <td>{{ schedule.category }}</td>
                      <td><a class="btn btn-danger" href="{% url 'homepage:delete' schedule.id %}" >Delete</a></td>
                  </tr>
              {% endfor %}
          </tbody>
      </table>

      
  </div>
  <div class="row">
    <div class= 'col-lg-2'>

    </div>
    <div class = 'col-lg-10'>
        <div class = 'form-group'>
            <a href="{% url 'homepage:schedule_delete' %}"><button type="button" class= "btn btn-secondary btn-lg btn-sm">Clear</button></a>
            <a href="{% url 'homepage:schedule_create' %}"><button type="button" class= "btn btn-secondary btn-lg btn-sm">Create</button></a>
        </div>
    </div>
</div>



<!-- Third Container (Grid) -->
<div class="container-fluid bg-3 text-center">    
  <h3 class="margin">Where To Find Me?</h3><br>
  <div class="row">
    <div class="col-sm-3">
         <a href="https://twitter.com/raihanarmon"><img class = 'tweet'src="https://img.icons8.com/ios-filled/150/000000/twitter-circled.png" 
            width="85" height="85" title="White flower"  alt="Flower"></a>

     
    </div>
    <div class="col-sm-3"> 
            <a href="https://facebook.com/raihan.armon"><img class = 'tweet'src="https://img.icons8.com/ios-filled/150/000000/facebook-new.png" 
                width="85" height="85" title="White flower"  alt="Flower"></a>

                   
    </div>
    <div class="col-sm-3"> 
            <a href="https://www.linkedin.com/in/muhammad-raihan-armon-a6686b193/"><img class = 'tweet'src="https://img.icons8.com/ios-filled/150/000000/linkedin.png" 
                width="85" height="85" title="White flower"  alt="Flower"></a>
            
    </div>
    <div class="col-sm-3">
            <a href="https://www.instagram.com/raihan_armon42/tagged/"><img class = 'tweet'src="https://img.icons8.com/material/96/000000/instagram-new.png"
                width="85" height="85" title="White flower"  alt="Flower"></a>

        </div>

  </div>
</div>



</body>
</html>

homepage/templates/schedule_create.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
  <!-- Theme Made By www.w3schools.com - No Copyright -->
  <title>My Website</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel = 'stylesheet'; href = "{% static 'css/webaru.css' %}">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/css/bootstrap.min.css">
  <link href="https://fonts.googleapis.com/css?family=Montserrat" rel="stylesheet">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/js/bootstrap.min.js"></script>
</head>
<body>
       

       

<!-- Navbar -->
<nav class="navbar navbar-default">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#myNavbar">
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>                        
      </button>
      <a class="navbar-brand" href="#">Me</a>
    </div>
    <div class="collapse navbar-collapse" id="myNavbar">
      <ul class="nav navbar-nav navbar-right">
            <li><a href="#about">ABOUT ME</a></li>
        <li><a href="#edu">EDUCATION</a></li>
        <li><a href="#skills">SKILLS</a></li>
        <li><a href="#int">INTERESTS</a></li>
        
      </ul>
    </div>
  </div>
</nav>

<!-- First Container -->
  <div class="">
    <div class="container-fluid bg-1 text-center" id ="top">
        <div class="row">
            <div class="col-md-12">
                <div class="text-left p-3">
                    <p>Schedules</p>
                <div class="hline"></div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <form class="css" action="{% url 'homepage:schedule_create' %}" method="post">
                    {% csrf_token %}
                    <div class="form-row">
                        <div class="col-sm-1"></div>
                        <div class="form-group col-sm-10 tag">
                            {% for fields in form %}
                                {{ fields.label_tag }}
                                <br>
                                {{ fields }}
                            {% endfor %}
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="col-sm-1"></div>
                        <input type="submit" class="btn btn-primary float-right" value="Add">
                    </div>
                </form>                
            </div>
        </div>

</div>
  </div>





<!-- Third Container (Grid) -->
<div class="container-fluid bg-3 text-center">    
  <h3 class="margin">Where To Find Me?</h3><br>
  <div class="row">
    <div class="col-sm-3">
         <a href="https://twitter.com/raihanarmon"><img class = 'tweet'src="https://img.icons8.com/ios-filled/150/000000/twitter-circled.png" 
            width="85" height="85" title="White flower"  alt="Flower"></a>

     
    </div>
    <div class="col-sm-3"> 
            <a href="https://facebook.com/raihan.armon"><img class = 'tweet'src="https://img.icons8.com/ios-filled/150/000000/facebook-new.png" 
                width="85" height="85" title="White flower"  alt="Flower"></a>

                   
    </div>
    <div class="col-sm-3"> 
            <a href="https://www.linkedin.com/in/muhammad-raihan-armon-a6686b193/"><img class = 'tweet'src="https://img.icons8.com/ios-filled/150/000000/linkedin.png" 
                width="85" height="85" title="White flower"  alt="Flower"></a>
            
    </div>
    <div class="col-sm-3">
            <a href="https://www.instagram.com/raihan_armon42/tagged/"><img class = 'tweet'src="https://img.icons8.com/material/96/000000/instagram-new.png"
                width="85" height="85" title="White flower"  alt="Flower"></a>

        </div>

  </div>
</div>

<!-- Footer -->
<footer class="container-fluid bg-4 text-center">
  <p>Bootstrap Theme Made By <a href="https://www.w3schools.com">www.w3schools.com</a></p> 
</footer>

</body>
</html>